createMaigesRaw {maigesPack} | R Documentation

## Function to create objects of class maigesRaw

### Description

Function to create objects of class `maigesRaw` from objects of class `maigesPreRaw`.

### Usage

    createMaigesRaw(PreRaw, greenDataField, greenBackDataField, redDataField,
                    redBackDataField, flagDataField, gLabelGrp, gLabelPath)

### Arguments

`PreRaw` | object of class `maigesPreRaw` to be used to generate another object of class `maigesRaw`.
`greenDataField` | character string specifying the name of the `Data` slot from `PreRaw` that will be used to read the spot intensity values for green channel.
`greenBackDataField` | character string specifying the name of the `Data` slot from `PreRaw` that will be used to read the background intensity values for green channel.
`redDataField` | character string specifying the name of the `Data` slot from `PreRaw` that will be used to read the spot intensity values for red channel.
`redBackDataField` | character string specifying the name of the `Data` slot from `PreRaw` that will be used to read the background intensity values for red channel.
`flagDataField` | character string specifying the name of the `Data` slot from `PreRaw` that will be used to read the flag values.
`gLabelGrp` | character string with the gene label to match gene groups.
`gLabelPath` | character string with the gene label to match gene networks.

### Value

The result of this function is an object of class `maigesRaw`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`loadData`, `maigesPreRaw`,

### Examples

    ## Load a little dataset
    data(gastro)

    ## See the object
    gastro

    ## Transform gastro into a maigesRaw object
    gastro.raw = createMaigesRaw(gastro, greenDataField="Ch1.Mean",
      greenBackDataField="Ch1.B.Mean", redDataField="Ch2.Mean",
      redBackDataField="Ch2.B.Mean", flagDataField="Flags",
      gLabelGrp="GeneName", gLabelPath="GeneName")

[Package maigesPack version 1.4.0 Index]